Subject: Re: bug#65418: 29.1; Eglot: support clangd inactiveRegions extension

From: Filippo Argiolas <[email-masked]>
Date: Mon, 4 Sep 2023 05:59:54 +0200

On Mon, Sep 4, 2023 at 3:06 AM João Távora <[email-masked]> wrote:
>
> On Mon, Sep 4, 2023 at 2:05 AM João Távora <[email-masked]> wrote:
> >
> > On Thu, Aug 31, 2023 at 6:28 PM Filippo Argiolas
> > <[email-masked]> wrote:
> > >
> > > On Sun, Aug 27, 2023 at 3:58 PM João Távora <[email-masked]> wrote:
> > > > Glad to help.  You're lucky I'm not some kind of wine connoisseur ;-)
> > > > Make a patch for that (and remember to also include the exportation of
> > > > the '--' symbols).
> > > >
> > >
> > > Many thanks again! That code definitely made this work week more enjoyable ;-)
> > >
> > > Sorry for the delay with the patch, little time left these days for
> > > side projects or even trivial contributions like this.
> > > See if the attached patches could do!
> >
> > They were very helpful.  I just pushed heavily edited versions of
> > them to master.  I used them as a starting point and credited you as
> > co-author (I could have done the other way round, crediting myself
> >  as co-author, but the changes I did were a bit too extensive for
> > that).

No problem for me, edit as much as you want! just glad to help.
I'd be just as happy if you just thanked me in the commit message.

> Drats, I just noticed a very significant detail.  I should have
> checked first, but you don't seem to have a FSF Copyright Assignment
> for Emacs.  So I think I'll have to revert these two commits until we
> get one from you.
>
> I'm assuming you don't have a problem with that, else, we'll have to
> find another solution.  Eli, can we send Filippo a CA request form?

I believe this contribution is trivial enough to not deserve any legal
paperwork.
It's just code written by yourself with a very few lines of docs you
used as a starting point to write your own.
I think it can be safely committed without issues, thanking me in the commit.

I don't think I have any problem with CA but I never saw the actual
forms, a bit skeptical if I'll have to involve my employer.

I'd say we consider this one as trivial enough and I could still sign
them to have them ready if I ever contribute something more
meaningful.

Filippo